View Issue Details

IDProjectCategoryView StatusLast Update
0013284ScribusUser Interfacepublic2016-04-10 13:57
ReporterFirasH Assigned Tofschmid  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.1svn 
Target Version1.5.2Fixed in Version1.5.2.svn 
Summary0013284: Keep "Chain" button consistent across UI
DescriptionKeep "Chain" button consistent across UI.
See attached screenshot. The patch is tested.
Additional Information1.5.1.svn (20305)
TagsNo tags attached.
PatchYes

Relationships

related to 0013846 closedcbradney RTL: Height x Width Chain needs to be flipped 
related to 0013942 closedFirasH Follow-up to 0013284, consistent "Chain" button in Preferences > Item Tools 
child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

FirasH

2015-08-09 22:26

developer  

13284-Patch.diff (2,563 bytes)

diff --git a/scribus/ui/transformdialogbase.ui b/scribus/ui/transformdialogbase.ui
--- a/scribus/ui/transformdialogbase.ui
+++ b/scribus/ui/transformdialogbase.ui
@@ -175,10 +175,16 @@
            </item>
            <item row="1" column="2" rowspan="2">
             <widget class="LinkButton" name="scaleLink">
+             <property name="sizePolicy">
+              <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
+               <horstretch>0</horstretch>
+               <verstretch>0</verstretch>
+              </sizepolicy>
+             </property>
              <property name="minimumSize">
               <size>
                <width>15</width>
-               <height>15</height>
+               <height>0</height>
               </size>
              </property>
              <property name="maximumSize">
@@ -369,10 +375,16 @@
            </item>
            <item row="1" column="2" rowspan="2">
             <widget class="LinkButton" name="linkSkew">
+             <property name="sizePolicy">
+              <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
+               <horstretch>0</horstretch>
+               <verstretch>0</verstretch>
+              </sizepolicy>
+             </property>
              <property name="minimumSize">
               <size>
                <width>15</width>
-               <height>15</height>
+               <height>0</height>
               </size>
              </property>
              <property name="maximumSize">
diff --git a/scribus/ui/prefs_itemtoolsbase.ui b/scribus/ui/prefs_itemtoolsbase.ui
--- a/scribus/ui/prefs_itemtoolsbase.ui
+++ b/scribus/ui/prefs_itemtoolsbase.ui
@@ -852,6 +852,24 @@
              </item>
              <item>
               <widget class="LinkButton" name="scalingLockToolButton">
+               <property name="sizePolicy">
+                <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
+                 <horstretch>0</horstretch>
+                 <verstretch>0</verstretch>
+                </sizepolicy>
+               </property>
+               <property name="minimumSize">
+                <size>
+                 <width>15</width>
+                 <height>0</height>
+                </size>
+               </property>
+               <property name="maximumSize">
+                <size>
+                 <width>15</width>
+                 <height>16777215</height>
+                </size>
+               </property>
                <property name="text">
                 <string>...</string>
                </property>
13284-Patch.diff (2,563 bytes)

FirasH

2015-08-09 22:27

developer  

13284-ScreenshotA.png (127,243 bytes)
13284-ScreenshotA.png (127,243 bytes)

FirasH

2015-08-09 22:27

developer  

13284-ScreenshotB.png (46,047 bytes)
13284-ScreenshotB.png (46,047 bytes)

Kunda

2015-09-26 21:12

updater   ~0036402

bump

FirasH

2016-04-10 13:46

developer   ~0040011

Thanks fschmid!
Fixed in 1.5.2.svn (21182).
There is still a minor change to do, will submit in a new report.

Issue History

Date Modified Username Field Change
2015-08-09 22:25 FirasH New Issue
2015-08-09 22:26 FirasH File Added: 13284-Patch.diff
2015-08-09 22:27 FirasH File Added: 13284-ScreenshotA.png
2015-08-09 22:27 FirasH File Added: 13284-ScreenshotB.png
2015-08-09 22:27 FirasH Description Updated View Revisions
2015-09-26 21:12 Kunda Note Added: 0036402
2016-04-01 19:23 Kunda Relationship added related to 0013846
2016-04-03 10:44 FirasH Relationship added child of 0013906
2016-04-10 04:26 Kunda Target Version => 1.5.2
2016-04-10 07:29 fschmid Status new => resolved
2016-04-10 07:29 fschmid Fixed in Version => 1.5.2.svn
2016-04-10 07:29 fschmid Resolution open => fixed
2016-04-10 07:29 fschmid Assigned To => fschmid
2016-04-10 13:46 FirasH Note Added: 0040011
2016-04-10 13:46 FirasH Status resolved => closed
2016-04-10 13:57 FirasH Relationship added related to 0013942